OpenJPEG: opj_thread_pool_t Struct Reference

OpenJPEG 2.5.4

Data Fields
opj_thread_pool_t Struct Reference

## Data Fields
opj_worker_thread_t * | worker_threads
int | worker_threads_count
opj_cond_t * | cond
opj_mutex_t * | mutex
volatile opj_worker_thread_state | state
opj_job_list_t * | job_queue
volatile int | pending_jobs_count
opj_worker_thread_list_t * | waiting_worker_thread_list
int | waiting_worker_thread_count
opj_tls_t * | tls
int | signaling_threshold

## Field Documentation

## ◆ cond

opj_cond_t* opj_thread_pool_t::cond

Referenced by opj_thread_pool_destroy(), opj_thread_pool_get_next_job(), opj_thread_pool_setup(), opj_thread_pool_submit_job(), and opj_thread_pool_wait_completion().

## ◆ job_queue

opj_job_list_t* opj_thread_pool_t::job_queue

Referenced by opj_thread_pool_get_next_job(), and opj_thread_pool_submit_job().

## ◆ mutex

opj_mutex_t* opj_thread_pool_t::mutex

Referenced by opj_thread_pool_create(), opj_thread_pool_destroy(), opj_thread_pool_get_next_job(), opj_thread_pool_setup(), opj_thread_pool_submit_job(), and opj_thread_pool_wait_completion().

## ◆ pending_jobs_count

volatile int opj_thread_pool_t::pending_jobs_count

Referenced by opj_thread_pool_get_next_job(), opj_thread_pool_submit_job(), and opj_thread_pool_wait_completion().

## ◆ signaling_threshold

int opj_thread_pool_t::signaling_threshold

Referenced by opj_thread_pool_get_next_job(), opj_thread_pool_submit_job(), and opj_thread_pool_wait_completion().

## ◆ state

volatile opj_worker_thread_state opj_thread_pool_t::state

Referenced by opj_thread_pool_create(), opj_thread_pool_destroy(), opj_thread_pool_get_next_job(), and opj_thread_pool_setup().

## ◆ tls

opj_tls_t* opj_thread_pool_t::tls

Referenced by opj_thread_pool_create(), opj_thread_pool_destroy(), and opj_thread_pool_submit_job().

## ◆ waiting_worker_thread_count

int opj_thread_pool_t::waiting_worker_thread_count

Referenced by opj_thread_pool_get_next_job(), opj_thread_pool_setup(), and opj_thread_pool_submit_job().

## ◆ waiting_worker_thread_list

opj_worker_thread_list_t* opj_thread_pool_t::waiting_worker_thread_list

Referenced by opj_thread_pool_destroy(), opj_thread_pool_get_next_job(), and opj_thread_pool_submit_job().

## ◆ worker_threads

opj_worker_thread_t* opj_thread_pool_t::worker_threads

Referenced by opj_thread_pool_destroy(), and opj_thread_pool_setup().

## ◆ worker_threads_count

int opj_thread_pool_t::worker_threads_count

Referenced by opj_thread_pool_destroy(), opj_thread_pool_get_next_job(), opj_thread_pool_get_thread_count(), opj_thread_pool_setup(), and opj_thread_pool_submit_job().

The documentation for this struct was generated from the following file:

- thread.c